CK_HT_GROW_SPMC(3)

NAME
ck_ht_remove_spmc - resize a hash table if necessary

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>
bool
ck_ht_remove_spmc(ck_ht_t *ht, ck_ht_hash_t h, ck_ht_entry_t *entry);

DESCRIPTION
The ck_ht_remove_spmc() function will remove the key-value pair associated with the key specified by the entry argument.

If ht was created with CK_HT_MODE_BYTESTRING then entry must have been initialized with the ck_ht_entry_set_key(3) or ck_ht_entry_set(3) functions. If ht was created with CK_HT_MODE_DIRECT then entry must have been initialized with the ck_ht_entry_key_set_direct(3) or ck_ht_entry_set_direct(3) functions.

It is expected that h was initialized with ck_ht_hash(3) if ht was created with CK_HT_MODE_BYTESTRING. If ht was initialized with CK_HT_MODE_DIRECT then it is expected that h was initialized with the ck_ht_hash_direct(3) function.

RETURN VALUES
If successful, entry will contain the key-value pair that was found in the hash table and ck_ht_remove_spmc() will return true. If the entry could not be found then ck_ht_remove_spmc() will return false.

SEE ALSO
ck_ht_stat(3), ck_ht_init(3), ck_ht_destroy(3), ck_ht_hash(3), ck_ht_hash_direct(3), ck_ht_set_spmc(3), ck_ht_put_spmc(3), ck_ht_gc(3), ck_ht_get_spmc(3), ck_ht_grow_spmc(3), ck_ht_reset_spmc(3), ck_ht_reset_size_spmc(3), ck_ht_count(3), ck_ht_entry_empty(3), ck_ht_entry_key_set(3), ck_ht_entry_key_set_direct(3), ck_ht_entry_key(3), ck_ht_entry_key_length(3), ck_ht_entry_value(3), ck_ht_entry_set(3), ck_ht_entry_set_direct(3), ck_ht_entry_key_direct(3), ck_ht_entry_value_direct(3), ck_ht_iterator_init(3), ck_ht_next(3)

Additional information available at http://concurrencykit.org/